org.eclipse.jgit.api

## Class RebaseResult

- java.lang.Object
- - org.eclipse.jgit.api.RebaseResult

    public class RebaseResult
    extends Object

The result of a `RebaseCommand` execution

### Nested Class Summary

Nested Classes
`static class` `RebaseResult.Status` The overall status

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getConflicts()`
`RevCommit` `getCurrentCommit()`
`Map<String,ResolveMerger.MergeFailureReason>` `getFailingPaths()`
`RebaseResult.Status` `getStatus()`
`List<String>` `getUncommittedChanges()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStatus

    public RebaseResult.Status getStatus()

Returns:
  the overall status

#### getCurrentCommit

    public RevCommit getCurrentCommit()

Returns:
  the current commit if status is `RebaseResult.Status.STOPPED`, otherwise `null`

#### getFailingPaths

    public Map<String,ResolveMerger.MergeFailureReason> getFailingPaths()

Returns:
  the list of paths causing this rebase to fail (see `ResolveMerger.getFailingPaths()` for details) if status is `RebaseResult.Status.FAILED`, otherwise `null`

#### getConflicts

    public List<String> getConflicts()

Returns:
  the list of conflicts if status is `RebaseResult.Status.CONFLICTS`

#### getUncommittedChanges

    public List<String> getUncommittedChanges()

Returns:
  the list of uncommitted changes if status is `RebaseResult.Status.UNCOMMITTED_CHANGES`
Since:
  3.2